# $Revision: 1.22 $, $Date: 2008/10/27 19:19:41 $
# TODO
# - update to apache 2.2 (build fails)
%define		mod_name	proxy_html
%define 	apxs		/usr/sbin/apxs
Summary:	mod_proxy_html - additional proxy module for rewriting HTML links
Summary(pl.UTF-8):	mod_proxy_html - dodatkowy moduł proxy do przepisywania odnośników HTML
Name:		apache-mod_%{mod_name}
Version:	3.0.1
Release:	2
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://apache.webthing.com/mod_proxy_html/mod_proxy_html.c
# Source0-md5:	6d38fbcd58e6e5cac246da3d1fcd22f4
URL:		http://apache.webthing.com/mod_proxy_html/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.44
BuildRequires:	apr-devel >= 1:0.9.4-1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-devel >= 2.5.10
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_proxy
Requires:	libxml2 >= 2.5.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_proxy_html is additional proxy module for rewriting HTML links so
that they don't break in a reverse proxy.

%description -l pl.UTF-8
mod_proxy_html to dodatkowy moduł proxy do przepisywania odnośników
HTML w ten sposób, by nie były uszkadzane przez odwrotne proxy.

%prep
%setup -q -c -T
cp %{SOURCE0} .

%build
%{apxs} \
	-c -o mod_%{mod_name}.la \
	$(%{_bindir}/xml2-config --cflags --libs) \
	mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/35_mod_%{mod_name}.conf
LoadModule proxy_html_module	modules/mod_proxy_html.so

# You will find configuration instructions here:
# http://apache.webthing.com/mod_proxy_html/config.html
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_proxy_html.spec,v $
Revision 1.22  2008/10/27 19:19:41  hawk
- we provide /etc/httpd/conf.d not httpd.conf directory
- release 2, should fix broken directory dep

Revision 1.21  2008/10/27 09:53:06  pawelz
- up to 3.0.1

Revision 1.20  2008/10/25 15:50:02  blues
- HTTP group

Revision 1.19  2007/12/09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.18  2007-06-07 10:53:32  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.17  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.15  2006/11/17 12:41:42  glen
- fix apache runtime deps

Revision 1.14  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.13  2006/01/30 17:39:10  glen
- use %service

Revision 1.12  2005/12/27 00:40:52  glen
- unified

Revision 1.11  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.10  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.9  2004/10/06 11:37:56  qboosh
- finished broken pl desc

Revision 1.8  2004/09/19 18:32:56  radek
- cosmetics

Revision 1.7  2004/09/15 17:03:43  radek
- unified

Revision 1.6  2004/09/15 13:43:20  jajcus
- copy source in %prep, not %build

Revision 1.5  2004/09/15 11:50:15  qboosh
- fixed apxs -c

Revision 1.4  2004/09/15 11:42:27  jajcus
- MD5 sum fixed

Revision 1.3  2004/09/15 11:37:53  jajcus
- Version: 2.3 (official versioning)
- source moved to distfiles and URL put in "Source:" field (DF will check MD5 sums)
- mod_proxy_html.html removed from documentation. It is HTML code of the home
  page of the module, and we don't know the license of the page.
- 35_mod_proxy_html.conf file added to apache configuration so the module is loaded
  on apache restart
- do not build in %{_sourcedir}!!!
- made it compile (including "-Wl,-shared" apxs bug workaround)

Revision 1.2  2003/12/21 15:58:20  qboosh
- pl, added libxml2 version (as stated on homepage)

Revision 1.1  2003/12/04 21:56:20  arekm
- initial but not ready
